4.14. PostgreSQL

4.14.1. Upgrading Databases

If you are upgrading from an existing Red Hat Enterprise Linux 5 installation in which PostgreSQL 8.4 (postgresql84-* packages) was in use, the Red Hat Enterprise Linux 6 PostgreSQL packages will operate as a drop-in replacement.
However, if you are upgrading from a Red Hat Enterprise Linux 5 installation in which PostgreSQL 8.1 (postgresql-* packages) or earlier was in use, and you have existing database content that needs to be preserved, you will need to follow the dump and reload procedure here due to changes in the data format: http://www.postgresql.org/docs/8.4/interactive/install-upgrading.html. Ensure that you perform the dump step before upgrading to Red Hat Enterprise Linux 6.